public class circle extends point 
{
    protected double radius;
    public circle()
    {   super(0.0,0.0);
        enterradius(0.0);}

    public circle(double r, double a, double b)
    {  super(a,b);
       enterradius(r);
    }
    
    public circle(double r, point n)
    {  super(n.readX(),n.readY());
       enterradius(r);
    }
    
    public circle(circle c)
    {  super(c.x,c.y);
       enterradius(c.radius);
    }
        
    public void enterradius(double r)
    {   if(r >= 0.0)
            radius=r;
        else
            radius=0.0;
    }
    
    public double readradius()
    {return radius;}

    public double area()
    {return Math.PI*radius*radius;}

    public String toString()
    { return "Center = "+"["+x+","+y+"]"+"; radius="+radius;}
    
    public String name(){return "circle";}
}